## yorick-imutil 0.5.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick
+Y_EXE=/usr/lib/yorick/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/Users/frigaut/yorick-2.1/Darwin-Power_Macintosh
-Y_EXE_SITE=/Users/frigaut/yorick-2.1
+Y_EXE_HOME=/usr/lib/yorick
+Y_EXE_SITE=/usr/lib/yorick
 
 # ----------------------------------------------------- optimization flags
 
@@ -71,37 +71,48 @@
 
 # -------------------------------------------------------- end of Makefile
 
-# for the binary package production:
+
+# for the binary package production (add full path to lib*.a below):
 PKG_DEPLIBS_STATIC=-lm 
-PKG_OS = macosx
+PKG_ARCH = $(OSTYPE)-$(MACHTYPE)
 # or linux or windows
-PKG_VERSION = 0.5
+PKG_VERSION = $(shell (awk '{if ($$1=="Version:") print $$2}' $(PKG_NAME).info))
+# .info might not exist, in which case he line above will exit in error.
 
-binaries:
-	$(MAKE)
-	$(LD_DLL) -o $@ $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
-	mv binaries $(PKG_NAME).so
+# packages or devel_pkgs:
+PKG_DEST_URL = packages
 
 package:
-	$(MAKE) binaries
+	$(MAKE)
+	$(LD_DLL) -o $(PKG_NAME).so $(OBJS) ywrap.o $(PKG_DEPLIBS_STATIC) $(DLL_DEF)
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/lib
 	mkdir -p binaries/$(PKG_NAME)/dist/y_home/i-start
 	mkdir -p binaries/$(PKG_NAME)/dist/y_site/i0
-	cp -p *.i binaries/$(PKG_NAME)/dist/y_site/i0/
-	cp -p check.i binaries/$(PKG_NAME)/.
-	rm binaries/$(PKG_NAME)/dist/y_site/i0/check.i
-	if test -n "$(PKG_I_START)"; then rm binaries/$(PKG_NAME)/dist/y_site/i0/$(PKG_I_START); fi
+	cp -p $(PKG_I) binaries/$(PKG_NAME)/dist/y_site/i0/
 	cp -p $(PKG_NAME).so binaries/$(PKG_NAME)/dist/y_home/lib/
-	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
-	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_OS)/' > tmp.info
+	if test -f "check.i"; then cp -p check.i binaries/$(PKG_NAME)/.; fi
+	if test -n "$(PKG_I_START)"; then cp -p $(PKG_I_START) \
+	  binaries/$(PKG_NAME)/dist/y_home/i-start/; fi
+	cat $(PKG_NAME).info | sed -e 's/OS:/OS: $(PKG_ARCH)/' > tmp.info
 	mv tmp.info binaries/$(PKG_NAME)/$(PKG_NAME).info
-	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz $(PKG_NAME)
+	cd binaries; tar zcvf $(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz $(PKG_NAME)
 
-distrib:
-	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/tarballs/ binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_OS).tgz; fi
-	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/$(PKG_OS)/info/ binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
+distbin: package
+	if test -f "binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/tarballs/ \
+	  binaries/$(PKG_NAME)-$(PKG_VERSION)-$(PKG_ARCH).tgz; fi
+	if test -f "binaries/$(PKG_NAME)/$(PKG_NAME).info" ; then \
+	  ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/$(PKG_ARCH)/info/ \
+	  binaries/$(PKG_NAME)/$(PKG_NAME).info; fi
+
+distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf $(PKG_NAME)-$(PKG_VERSION)-src.tgz $(PKG_NAME); ncftpput -f /Users/frigaut/.ncftp/maumae www/yorick/packages/src/ $(PKG_NAME)-$(PKG_VERSION)-src.tgz 
+	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
+	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
+	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/contrib/ \
+	   ../$(PKG_NAME)-$(PKG_VERSION)-src.tgz
 
 
 # -------------------------------------------------------- end of Makefile
