## yorick-imutil 0.5.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.1
+Y_EXE=/usr/lib/yorick/2.1/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.1
+Y_EXE_SITE=/usr/share/yorick/2.1
 
 # ----------------------------------------------------- optimization flags
 
@@ -107,7 +107,7 @@
 
 distsrc:
 	make clean; rm -rf binaries
-	cd ..; tar --exclude binaries --exclude .svn -zcvf \
+	cd ..; tar --exclude binaries --exclude .svn --exclude CVS --exclude *.spec -zcvf \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz yorick-$(PKG_NAME)-$(PKG_VERSION);\
 	ncftpput -f $(HOME)/.ncftp/maumae www/yorick/$(PKG_DEST_URL)/src/ \
 	   $(PKG_NAME)-$(PKG_VERSION)-src.tgz
