=== debian/changelog ===
yorick-imutil (0.5.5-1) unstable; urgency=low

  * New upstream release:
    + patch long_round applied upstream
    + depends and build-depends on yorick >=2.1.06
  * Move to science section

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 20 Apr 2010 17:00:37 +0200

yorick-imutil (0.5.4-2) unstable; urgency=low

  * convert to 3.0 (quilt) format
  * change round() to long(round()) wherever necessary

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 06 Apr 2010 18:47:56 +0200

yorick-imutil (0.5.4-1) unstable; urgency=low

  * New upstream release
  * Checked against policy 3.8.3
  * Run test suite at build time

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 18 Nov 2009 16:38:20 +0100

yorick-imutil (0.5.3-1) unstable; urgency=low

  * New upstream release
  * debian/watch: file added
  * debian/control:
     * DM-Upload-Allowed field added
     * upgraded to Standards-Version: 3.7.3.0
     * upgrade build dependency on yorick-dev
       (>= 2.1.05+dfsg-2~bpo40+1)
     * add dependency on yorick-yutils (thanks to François Rigaut)
  * debian/rules: converted to dh_installyorick
     * added debian/ynstall
     * added debian/yorick-imutil.packinfo
     * added debian/yorick-imutil.keywords
  * debian/copyright: updated and converted to the machine-readable format
    proposed at http://wiki.debian.org/Proposals/CopyrightFormat

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 15 Jan 2008 11:48:28 +0100

yorick-imutil (0.5.1-1) unstable; urgency=low

  * Initial Release. Closes: #366713

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Fri, 01 Sep 2006 09:55:12 +0200
