=== debian/control ===
Source: yorick-imutil
Section: science
Priority: optional
Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.06), yorick-yutils
Standards-Version: 3.8.4
DM-Upload-Allowed: yes

Package: yorick-imutil
Architecture: any
Depends: yorick (>= 2.1.06), yorick-yutils (>= 0.5),
 ${shlibs:Depends}, ${misc:Depends}
Description: fast image manipulation routines for the Yorick language
 Compiled routines for basic but fast image manipulation in yorick (an
 interpreted computer language specialized for numerical and scientific
 problems). Includes 2d bilinear and spline2 interpolation, clipping, 2d dist
 generator, binning, image rotation, cartesian to polar coordinate transform,
 gaussian and poisson random generator, fast sort and fast median. All of
 these functions, with the exceptions of spline2, exist in yorick or the
 yutils package, but these versions are 2 to 10x faster, being specialized for
 2d arrays (hence the name imutil). This plugin is 64bits safe.
