=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

check:
	dh_testdir
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	yorick -batch debian/check.i
endif

Makefile.deborig:
	dh_testdir
	cp -f Makefile Makefile.deborig
	yorick -batch make.i

configure: configure-stamp
configure-stamp: Makefile.deborig
	dh_testdir
	touch configure-stamp


build: build-stamp check

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: Makefile.deborig
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	-mv -f Makefile.deborig Makefile
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installyorick
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure check
