## yorick-imutil 0.5.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-Y_MAKEDIR=/usr/lib/yorick
-Y_EXE=/usr/lib/yorick/bin/yorick
+Y_MAKEDIR=/usr/lib/yorick/2.2
+Y_EXE=/usr/lib/yorick/2.2/bin/yorick
 Y_EXE_PKGS=
-Y_EXE_HOME=/usr/lib/yorick
-Y_EXE_SITE=/usr/lib/yorick
+Y_EXE_HOME=/usr/lib/yorick/2.2
+Y_EXE_SITE=/usr/share/yorick/2.2
 
 # ----------------------------------------------------- optimization flags
 
@@ -71,6 +71,11 @@
 
 # -------------------------------------------------------- end of Makefile
 
+osx: all
+	libtool -static -o lib$(PKG_NAME).a $(OBJS)
+
+installosx: osx install
+	cp -p lib$(PKG_NAME).a $(Y_HOME)/lib/
 
 # for the binary package production (add full path to lib*.a below):
 PKG_DEPLIBS_STATIC=-lm
