=== debian/changelog ===
yorick-imutil (0.5.7-4) unstable; urgency=medium

  * Bump Policy to 4.7.0.
  * Bug fix: "FTBFS: imutil.c:404:3: error: implicit declaration of
    function ‘srandom’ [-Werror=implicit-function-declaration]", thanks to
    Lucas Nussbaum (Closes: #1066524); new patch
    Werror_implicit-function-declaration.

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 01 Aug 2024 09:11:59 +0200

yorick-imutil (0.5.7-3) unstable; urgency=low

  * Fortify (don't rely on yorick to provide right flags)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 17:43:38 +0200

yorick-imutil (0.5.7-2) unstable; urgency=low

  * Amend control to get in line with debian science policy
  * Simplify rules and use a patch to adapt Makefile instead of
    fumbling with yorick -batch make.i

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 27 Jun 2012 12:00:46 +0200

yorick-imutil (0.5.7-1) unstable; urgency=low

  * New upstream release
  * Check against policy 3.9.1

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 10 May 2011 11:25:05 +0200
