=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: yorick-imutil
 Section: science
 Priority: optional
-Maintainer: Thibaut Paumard <paumard@users.sourceforge.net>
-Build-Depends: debhelper (>= 5.0.0), yorick-dev (>= 2.1.06), yorick-yutils
-Standards-Version: 3.8.4
-DM-Upload-Allowed: yes
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
+Build-Depends: debhelper-compat (= 13), yorick-dev (>= 2.1.06), yorick-yutils
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/science-team/yorick-imutil.git
+Vcs-Browser: https://salsa.debian.org/science-team/yorick-imutil
 
 Package: yorick-imutil
 Architecture: any
